﻿<?xml version="1.0" encoding="utf-8" ?>
<ResourceDictionary xmlns="http://xamarin.com/schemas/2014/forms"
                    xmlns:x="http://schemas.microsoft.com/winfx/2009/xaml"
                    x:Class="BlizzerStyles.iOS"
                    >
    <Style TargetType="Entry"
           ApplyToDerivedTypes="True">
        <Setter Property="PlaceholderColor"
                Value="{StaticResource InputPlaceholderColor}" />
        <Setter Property="TextColor"
                Value="{StaticResource TextColor}" />
        <Setter Property="Margin"
                Value="0, 5, 0, 12" />
    </Style>
    <Style TargetType="Picker"
           ApplyToDerivedTypes="True">
        <Setter Property="TextColor"
                Value="{StaticResource TextColor}" />
        <Setter Property="Margin"
                Value="0, 5, 0, 12" />
    </Style>
    <Style TargetType="Editor"
           ApplyToDerivedTypes="True">
        <Setter Property="TextColor"
                Value="{StaticResource TextColor}" />
        <Setter Property="BackgroundColor"
                Value="{StaticResource BackgroundColor}" />
        <Setter Property="PlaceholderColor"
                Value="{StaticResource InputPlaceholderColor}" />
        <Setter Property="Margin"
                Value="0, 0, 0, 12" />
    </Style>
    <Style TargetType="Switch"
           ApplyToDerivedTypes="True">
        <Setter Property="OnColor"
                Value="{StaticResource SwitchOnColor}" />
    </Style>
    <Style TargetType="SearchBar">
        <Setter Property="BackgroundColor"
                Value="{StaticResource ListHeaderBackgroundColor}" />
        <Setter Property="TextColor"
                Value="Black" />
        <Setter Property="CancelButtonColor"
                Value="{StaticResource PrimaryColor}" />
        <Setter Property="PlaceholderColor"
                Value="#777777" />
    </Style>
    <Style TargetType="ContentPage"
           ApplyToDerivedTypes="True">
        <Setter Property="BackgroundColor"
                Value="{StaticResource BackgroundColor}" />
    </Style>
    <Style TargetType="ListView"
           ApplyToDerivedTypes="True">
        <Setter Property="BackgroundColor"
                Value="{StaticResource BackgroundColor}" />
        <Setter Property="RefreshControlColor"
                Value="{StaticResource PrimaryColor}" />
    </Style>
    <Style TargetType="ActivityIndicator"
           ApplyToDerivedTypes="True">
        <Setter Property="Color"
                Value="{StaticResource PrimaryColor}" />
    </Style>
    <!-- Buttons -->
    <Style TargetType="Button">
        <Setter Property="BackgroundColor"
                Value="{StaticResource ButtonBackgroundColor}" />
        <Setter Property="TextColor"
                Value="{StaticResource ButtonTextColor}" />
        <Setter Property="Margin"
                Value="0, 5, 0, 0" />
    </Style>
    <Style TargetType="Button"
           ApplyToDerivedTypes="True"
           Class="btn-icon-platform">
        <Setter Property="WidthRequest"
                Value="37" />
        <Setter Property="FontSize"
                Value="25" />
    </Style>

    <!-- List -->

    <Style TargetType="ListView"
           Class="list-platform"
           ApplyToDerivedTypes="True">
        <Setter Property="SeparatorColor"
                Value="{StaticResource ListItemBorderColor}" />
    </Style>
    <Style TargetType="StackLayout"
           Class="list-row-header-container-platform">
        <Setter Property="BackgroundColor"
                Value="{StaticResource ListHeaderBackgroundColor}" />
    </Style>
    <Style TargetType="StackLayout"
           Class="list-row-header-platform">
        <Setter Property="Padding"
                Value="10, 0, 10, 5" />
        <Setter Property="VerticalOptions"
                Value="EndAndExpand" />
    </Style>
    <Style TargetType="Label"
           Class="list-header-platform">
        <Setter Property="TextColor"
                Value="{StaticResource MutedColor}" />
        <Setter Property="FontSize"
                Value="Small" />
    </Style>
    <Style TargetType="BoxView"
           Class="list-section-separator-top-platform">
        <Setter Property="Color"
                Value="{StaticResource ListSectionBorderColor}" />
    </Style>
    <Style TargetType="BoxView"
           Class="list-section-separator-bottom-platform">
        <Setter Property="Color"
                Value="{StaticResource ListSectionBorderBottomColor}" />
        <Setter Property="Margin"
                Value="0, 0, 0, -1" />
    </Style>
    <Style TargetType="StackLayout"
           Class="list-row-platform">
    </Style>
    <Style TargetType="Grid"
           Class="list-row-platform">
    </Style>
    <Style TargetType="Label"
           Class="list-icon-platform"
           ApplyToDerivedTypes="True">
        <Setter Property="FontSize"
                Value="21" />
    </Style>
    <Style TargetType="Button"
           ApplyToDerivedTypes="True"
           Class="list-row-button-platform">
        <Setter Property="WidthRequest"
                Value="37" />
        <Setter Property="FontSize"
                Value="25" />
    </Style>

    <!-- Box -->

    <Style TargetType="Label"
           Class="box-header-platform">
        <Setter Property="TextColor"
                Value="{StaticResource BoxHeaderTextColor}" />
        <Setter Property="FontSize"
                Value="Small" />
        <Setter Property="FontAttributes"
                Value="Bold" />
    </Style>
    <Style TargetType="Button"
           ApplyToDerivedTypes="True"
           Class="box-row-button-platform">
        <Setter Property="WidthRequest"
                Value="37" />
        <Setter Property="FontSize"
                Value="25" />
    </Style>
    <Style TargetType="StackLayout"
           Class="box-row-input-options-platform">
        <Setter Property="Padding"
                Value="0, 10, 0, 5" />
    </Style>
</ResourceDictionary>
